import unittest
from selenium import webdriver
from selenium.webdriver.common.keys import Keys
import harkdesigner


class PythonNode (harkdesigner.TestHarkDesigner):
    def test_makefig(self):
        self.addNode("Constant")
        self.openParam("node_Constant_1")
        self.setParamType("node_Constant_1", "VALUE", "object", True)
        self.setParamValue(
            "node_Constant_1", "VALUE", "<Vector <int> 3 4>", True)
        self.driver.save_screenshot(
            "%s/%s%s.png" % ("png", "Vector_", "MAIN"))
        self.closeParam("node_Constant_1")
if __name__ == "__main__":
    unittest.main()
